#
# spec file for package libfontenc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfontenc
%define lname	libfontenc1
Version:        1.1.3
Release:        lp152.3.4
Summary:        X11 font encoding library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libfontenc
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libfontenc/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(fontutil) >= 1.1
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(zlib)

%description
The libfontenc library is used by the Xorg server and other X font
tools for handling fonts with different character set encodings.

%package -n %lname
Summary:        X11 font encoding library
Group:          System/Libraries
# O/P added for 12.2
Provides:       xorg-x11-libfontenc = 7.6_%version-%release
Obsoletes:      xorg-x11-libfontenc < 7.6_%version-%release

%description -n %lname
The libfontenc library is used by the Xorg server and other X font
tools for handling fonts with different character set encodings.

%package devel
Summary:        Development files for the X11 font encoding library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
# O/P added for 12.2
Provides:       xorg-x11-libfontenc-devel = 7.6_%version-%release
Obsoletes:      xorg-x11-libfontenc-devel < 7.6_%version-%release

%description devel
The libfontenc library is used by the Xorg server and other X font
tools for handling fonts with different character set encodings.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libfontenc.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libfontenc.so
%_libdir/pkgconfig/fontenc.pc

%changelog
* Mon May  4 2015 sndirsch@suse.com
- Update to version 1.1.3
  * Initialize both value1 & value2, not value1 twice
  * Replace sprintf call with snprintf
  * Replace strcpy+strcat calls with snprintf calls
  * Reformat code to X.Org standard style
  * Initialize aliases array in parseEncodingFile()
- tagged baselibs.conf as sourcefile in spec file
* Fri Apr 26 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.1.2:
  This minor bugfix release corrects mistakes in some of the ISO-8859 to
  Unicode mappings, fixes a memory management bug, and updates the build
  configuration.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 1.1.1:
  + Fix compiler warnings
  + Build configuration improvements
- Add zlib-devel BuildRequires as there are explicit checks for
  zlib.
* Sun Feb 12 2012 jengelh@medozas.de
- Rename xorg-x11-libfontenc to libfontenc and utilize shlib policy
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Thu Oct 21 2010 sndirsch@novell.com
- libfontenc 1.1.0
  * This release adds support for finding the encoding data-files
    in using the standard autoconf macros provided by X.Org's
    fontutil.m4. The precedence is now (first found is used):
  - -with-encodingsdir=<pathname>
    encodings subdirectory of fontrootdir found via:
  - -with-fontrootdir
    pkg-config --variable=fontrootdir fontutil
    ${datadir}/fonts/X11
  * It also converts to using standard libc memory allocation
    functions, and provides the usual recent build configuration
    improvements and janitorial cleanups.
* Sun Apr  4 2010 sndirsch@suse.de
- libfontenc 1.0.5
- bumped version number to 7.5
* Mon Dec 14 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Sat May  2 2009 eich@suse.de
- revert static library and .la file removal
  for SUSE versions <= 11.1.
* Tue Apr 21 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Jan  1 2008 crrodriguez@suse.de
- fix library-without-ldconfig-* error
- add missing PreReq coreutils
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Thu Mar 29 2007 sndirsch@suse.de
- added zlib-devel to Buildrequires
* Mon Dec 18 2006 sndirsch@suse.de
- updated to release 1.0.4
  * Makefile.am: make ChangeLog hook safer
* Sat Oct 14 2006 sndirsch@suse.de
- updated to X.Org 7.2RC1
* Tue Aug 15 2006 sndirsch@suse.de
- fixed encodings dir
* Wed Aug  2 2006 sndirsch@suse.de
- fix setup line
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Sat Jun 24 2006 sndirsch@suse.de
- created package
